<?php
App::uses('EvSlideshowAppModel', 'EvSlideshow.Model');

/**
 * SlideshowSlide Model
 *
 */
class Slideshow extends EvSlideshowAppModel {

	public $validate = array(
		'name' => array(
			'notEmpty' => array(
				'rule' => array('notBlank'),
				'message' => 'A name for the slideshow must be entered'
			),
		),
	);

	public $hasMany = [
		'Slide' => [
			'className' => 'EvSlideshow.Slide'
		],
	];

	public function readForEdit($id, $query = array()) {
		$query['contain']['Slide'] = [
			'order' => 'Slide.sequence ASC, Slide.name ASC',
			'Image'
		];

		$data = parent::readForEdit($id, $query);

		return $data;
	}
}
