<?php
class RenamedOrdernoToSequence extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_slideshow_slides' => array(
					'sequence' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'button_link'),
				),
			),
			'drop_field' => array(
				'ev_slideshow_slides' => array('orderno',),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_slideshow_slides' => array('sequence',),
			),
			'create_field' => array(
				'ev_slideshow_slides' => array(
					'orderno' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
